package com.tzld.piaoquan.ad.engine.server.controller;

import com.tzld.piaoquan.ad.engine.service.predict.PredictModelService;
import com.tzld.piaoquan.ad.engine.service.predict.param.request.RoiPredictModelRequestParam;
import com.tzld.piaoquan.ad.engine.service.predict.param.request.ThresholdPredictModelRequestParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/predict")
public class PredictController {

    @Autowired
    PredictModelService predictModelService;
    private final static Logger log = LoggerFactory.getLogger(PredictController.class);

    @RequestMapping("/ab/model")
    public Map<String,Object> adPredictByAbTestModel(@RequestBody ThresholdPredictModelRequestParam param){

        return predictModelService.adPredict(param);
    }


    @RequestMapping("/test")
    public String adPredictByAbTestModel(){
        return "success"+System.currentTimeMillis();
    }
    @RequestMapping("/roi/model")
    public Map<String,Object> adPredictByRoiModel(RoiPredictModelRequestParam param){
        return predictModelService.adRecommendPredictByRoiModel(param);
    }
}
